diff options
author | Matt Turner <[email protected]> | 2012-11-07 13:58:14 -0800 |
---|---|---|
committer | Matt Turner <[email protected]> | 2012-11-09 14:33:08 -0800 |
commit | c6f426c02d14fcdfdbdd03473d098d4c9b81a8b2 (patch) | |
tree | a5b2170ecba35483ba99dbf023a474db31b2f3b5 /src/glsl | |
parent | 68414bc8682549daa60482d5b9a2142f2796b39d (diff) |
glcpp: wire up glcpp-test to make check
Reviewed-by: Kenneth Graunke <[email protected]>
Diffstat (limited to 'src/glsl')
-rw-r--r-- | src/glsl/glcpp/Makefile.am | 2 | ||||
-rwxr-xr-x | src/glsl/glcpp/tests/glcpp-test | 16 |
2 files changed, 14 insertions, 4 deletions
diff --git a/src/glsl/glcpp/Makefile.am b/src/glsl/glcpp/Makefile.am index 87affce1c18..04d8cda0194 100644 --- a/src/glsl/glcpp/Makefile.am +++ b/src/glsl/glcpp/Makefile.am @@ -22,6 +22,8 @@ include ../Makefile.sources +TESTS = tests/glcpp-test + AM_CFLAGS = \ -I$(top_srcdir)/include \ -I$(top_srcdir)/src/mapi \ diff --git a/src/glsl/glcpp/tests/glcpp-test b/src/glsl/glcpp/tests/glcpp-test index 1db75237567..ac891914786 100755 --- a/src/glsl/glcpp/tests/glcpp-test +++ b/src/glsl/glcpp/tests/glcpp-test @@ -1,5 +1,13 @@ #!/bin/sh +if [ ! -z "$srcdir" ]; then + testdir=$srcdir/tests + glcpp=`pwd`/glcpp +else + testdir=. + glcpp=../glcpp +fi + trap 'rm $test.valgrind-errors; exit 1' INT QUIT usage () @@ -35,9 +43,9 @@ pass=0 clean=0 echo "====== Testing for correctness ======" -for test in *.c; do +for test in $testdir/*.c; do echo -n "Testing $test..." - ../glcpp < $test > $test.out 2>&1 + $glcpp < $test > $test.out 2>&1 total=$((total+1)) if cmp $test.expected $test.out >/dev/null 2>&1; then echo "PASS" @@ -54,9 +62,9 @@ echo "" if [ "$do_valgrind" = "yes" ]; then echo "====== Testing for valgrind cleanliness ======" - for test in *.c; do + for test in $testdir/*.c; do echo -n "Testing $test with valgrind..." - valgrind --error-exitcode=31 --log-file=$test.valgrind-errors ../glcpp < $test >/dev/null 2>&1 + valgrind --error-exitcode=31 --log-file=$test.valgrind-errors $glcpp < $test >/dev/null 2>&1 if [ "$?" = "31" ]; then echo "ERRORS" cat $test.valgrind-errors |